SDRTrunk Help ME Setup up JMBE

Status
Not open for further replies.

air-scan

Member
Joined
Oct 6, 2019
Messages
480
I installed JDK 14 after I verified sdrtrunk Is working. Need the P25 capability. The link that explains how to setup the home environment in the windows 10 environment wanted a corporate email address I do not have and therefore was unable to read the tutorial. I need that environment setup so running javac -version will work. before I can run gradlew.bat
 

DSheirer

Member
Premium Subscriber
Joined
Feb 15, 2010
Messages
526
Location
Fulton, NY
You need Java 8 thru 13 to compile jmbe.

It hasn't been updated to work with the latest Java 14 yet.
 

air-scan

Member
Joined
Oct 6, 2019
Messages
480
You need Java 8 thru 13 to compile jmbe.

It hasn't been updated to work with the latest Java 14 yet.
M
Must be the reason for the error

For those versions it was for all are requiring some kind of sign in I am not a developer. Only thing I can download was JDK 14
 

air-scan

Member
Joined
Oct 6, 2019
Messages
480
all I really need is the preferred version of JDK from Oracle to download (WINDOWS 64 bit) that wouldn't require a password. Thanks
 

air-scan

Member
Joined
Oct 6, 2019
Messages
480
Well, Got her running great!!!!! sounds better than DSD+ FL I hate to say that because I spent money for DSD+ FL but sound is much smoother!!
itworks.jpg
 

specman

Member
Joined
Nov 1, 2005
Messages
171
I managed to compile JMBE with Java JDK 14 just fine by upgrading gradle to v1.3 . Can't take credit for the fix - it was suggested in the GitHub JMBE page.

Doesn't matter for your case but might be useful for somebody else later on.
 

wgbecks

Active Member
Joined
Jan 17, 2005
Messages
536
Location
NE Wisconsin
You need an Oracle account to download just about everything except for their VirtualBox software. It's really painless to setup an account and as far as I know they are still free.
 

air-scan

Member
Joined
Oct 6, 2019
Messages
480
Okay redone my JMBE installation after I looked at JMBE GitHub page. Realized it was updated for Oracle Java SE 14.

I installed Gradle 6.4 full (C:\Gradle folder and Set path in Environment)
I had already installed Oracle Java SE 14 x64
Unpacked the JMBE master zip archive
Changed directory to it's path then ran gradlew.bat clean build
It created the JMBE 1.0.5 nicely
Moved the new jmbe 1.0.5 to the SDRTrunk root folder.
Changed the path to the where I placed the new JMBE 1.0.5 .jar file

1.0.4 had glitches in audio because I actually used Libirica JDK to build it . (broken decodes sounded like gibberish nothing like encryption.)
1.0.5 Didn't show any glitches in the audio because it was built on Java SE 14.

SUCCESS!!

After thought before I press "Post Reply"

When the fire department sent an alert tone it showed DTMF 6 (the tone had 3 tones) then the audio went funky. How do I stop that?
 

air-scan

Member
Joined
Oct 6, 2019
Messages
480
issue of the one off audio artifacts is being addressed by SDRTRunk developer. It was better to get help at SDRTrunk Google Groups page
 

Bear15

Member
Joined
Jun 24, 2014
Messages
54
Well, Got her running great!!!!! sounds better than DSD+ FL I hate to say that because I spent money for DSD+ FL but sound is much smoother!!
View attachment 84081
I was pulling my hair off trying to figure out why DSD/FL sounded that terrible no matter what I tried, until I have compiled jmbe and gave SdrTrunk a spin.. Man.. this was like night and day on the same workstation/dongles!. and to have figured out the aliases Sdrtrunk is pretty stable and sound exactly the way like my 436/536 sound like, why is DSD/FL that horrible? not impressed, especially now it can be compared to an alternative.
Cheers.
 

jets1961

Member
Joined
Jan 21, 2002
Messages
205
Sorry if this is off topic, but does SDRtrunk do an P25 phase II GPS location decoding.... yet :)
 
Status
Not open for further replies.
Top